summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xadmin/Interface/CrearImagen24
-rw-r--r--client/shared/scripts/createImageCustom.template24
2 files changed, 28 insertions, 20 deletions
diff --git a/admin/Interface/CrearImagen b/admin/Interface/CrearImagen
index ca642845..c3fa9b45 100755
--- a/admin/Interface/CrearImagen
+++ b/admin/Interface/CrearImagen
@@ -51,14 +51,6 @@ if [ "$CALLER" != "ogAdmClient" ]; then
exit $?
fi
-# Si el origen(pariticion) esta bloqueada salir.
-
-#if ogIsLocked $1 $2; then
-# ogRaiseError $OG_ERR_LOCKED "$MSG_PARTITION, $1 $2"
-# exit $?
-#fi
-
-
# Valor por defecto para el repositorio.
REPO=${4:-"REPO"}
[ "$REPO" == "$(ogGetRepoIp)" ] && REPO="REPO"
@@ -73,25 +65,17 @@ then
[ $RETVAL -gt 0 ] && exit $RETVAL
fi
-
-
-if [ -f createImage$ogengine ]; then
- createImage$ogengine "$1" "$2" "$REPO" /"$3" &>> $OGLOGCOMMAND
+# Si existe, ejecuta script personalizado "createImageCustom"; si no, llama al genérico "createImage".
+if which createImageCustom &>/dev/null; then
+ createImageCustom "$1" "$2" "$REPO" /"$3" &>> $OGLOGCOMMAND
else
createImage "$1" "$2" "$REPO" /"$3" &>> $OGLOGCOMMAND
fi
RETVAL=$?
+# Cambiar acceso a modo usuario, si es necesario.
[ "$REPO" == "REPO" -a "$boot" != "admin" ] && CambiarAcceso user
-#if [ $RETVAL == 0 ]
-#then
-#rm $OGLOGFILE
-# touch $OGLOGFILE
-#else
-# echo $RETVAL &>> $OGLOGFILE
-#fi
-
# Registro de fin de ejecución
ogEcho log session "$MSG_INTERFACE_END $RETVAL"
diff --git a/client/shared/scripts/createImageCustom.template b/client/shared/scripts/createImageCustom.template
new file mode 100644
index 00000000..e6f94c6a
--- /dev/null
+++ b/client/shared/scripts/createImageCustom.template
@@ -0,0 +1,24 @@
+#!/bin/bash
+#/**
+# createImageCustom
+#@brief Plantilla para scirpt de creación personalizada de imagen
+#@param $1 disco
+#@param $2 particion
+#@param $3 Repositorio: CACHE, REPO o dirección IP
+#@param $4 Nombre canónico de la imagen sin extensión
+#@warning Renombrar este fichero como "createImageCustom".
+
+
+# Control de parámetros.
+[ $# -eq 4 ] || exit
+
+# Parámetros.
+DISK="$1"
+PART="$2"
+REPO="${3^^}" # En mayúsculas.
+IMGNAME="$4"
+
+
+# Añadir aquí el código de creación personalizada.
+
+